org.ggf.drmaa

## Class FileTransferMode

- java.lang.Object
- - org.ggf.drmaa.FileTransferMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class FileTransferMode
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  This class represents the streams which should be used for file transfers. For each of the three properties which is set to true, the corresponding stream's path property in the job template will be treated as a source or destination (depending on the stream) for file tranfers. For example, if the inputStream property is set to true, the inputPath property of the JobTemplate will be interpreted as a source from which to transfer files.
  Since:
    0.5
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferMode()` Creates a new instance of FileTransferMode
    `FileTransferMode(boolean inputStream, boolean outputStream, boolean errorStream)` Create a new instance with the property values preset.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Creates a copy of this FileTransferMode object.
    `boolean` | `equals(java.lang.Object obj)` Test whether two FileTransferMode objects have the same property settings.
    `boolean` | `getErrorStream()` Whether to transfer error stream files.
    `boolean` | `getInputStream()` Whether to transfer error stream files.
    `boolean` | `getOutputStream()` Whether to transfer error stream files.
    `int` | `hashCode()` Returns a hash code based on the file transfer properties.
    `void` | `setErrorStream(boolean errorStream)` Set whether to transfer error stream files.
    `void` | `setInputStream(boolean inputStream)` Set whether to transfer error stream files.
    `void` | `setOutputStream(boolean outputStream)` Set whether to transfer error stream files.
    `java.lang.String` | `toString()` Returns a string containing the stream settings.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferMode

          public FileTransferMode()

      Creates a new instance of FileTransferMode

    - #### FileTransferMode

          public FileTransferMode(boolean inputStream,
                                  boolean outputStream,
                                  boolean errorStream)

      Create a new instance with the property values preset.
      Parameters:
        `inputStream` - whether to transfer input stream files
        `outputStream` - whether to transfer output stream files
        `errorStream` - whether to transfer error stream files

  - ### Method Detail

    - #### setErrorStream

          public void setErrorStream(boolean errorStream)

      Set whether to transfer error stream files.
      Parameters:
        `errorStream` - whether to transfer error stream files

    - #### getErrorStream

          public boolean getErrorStream()

      Whether to transfer error stream files.
      Returns:
        whether to transfer error stream files

    - #### setInputStream

          public void setInputStream(boolean inputStream)

      Set whether to transfer error stream files.
      Parameters:
        `inputStream` - whether to transfer error stream files

    - #### getInputStream

          public boolean getInputStream()

      Whether to transfer error stream files.
      Returns:
        whether to transfer error stream files

    - #### setOutputStream

          public void setOutputStream(boolean outputStream)

      Set whether to transfer error stream files.
      Parameters:
        `outputStream` - whether to transfer error stream files

    - #### getOutputStream

          public boolean getOutputStream()

      Whether to transfer error stream files.
      Returns:
        whether to transfer error stream files

    - #### equals

          public boolean equals(java.lang.Object obj)

      Test whether two FileTransferMode objects have the same property settings.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the Object to test for equality
      Returns:
        whether the FileTransferMode object has the same property settings as this one

    - #### hashCode

          public int hashCode()

      Returns a hash code based on the file transfer properties.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a hash code based on the file transfer properties

    - #### clone

          public java.lang.Object clone()

      Creates a copy of this FileTransferMode object.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        a copy of this FileTransferMode object

    - #### toString

          public java.lang.String toString()

      Returns a string containing the stream settings.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string containing the stream settings

The contents of this file are licensed under the Sun Industry Standards Source License version 1.2.
Copyright 2008, Sun Microsystems, Inc.